Bug 430640 (CVE-2006-1542) - CVE-2006-1542 python buffer overflow
Summary: CVE-2006-1542 python buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-1542
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: public=20050922,reported=20060330,sou...
Depends On: 169046 187900 430872 436512 440511 449461
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2008-01-29 09:42 UTC by Mark J. Cox
Modified: 2019-06-08 12:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 16:15:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0264 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-05-20 14:16:00 UTC
Red Hat Product Errata RHSA-2008:0525 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-06-30 15:36:03 UTC
Red Hat Product Errata RHSA-2008:0629 normal SHIPPED_LIVE Moderate: Red Hat Network Satellite Server Solaris client security update 2008-08-13 14:16:13 UTC

Description Mark J. Cox 2008-01-29 09:42:37 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-1542 to the following vulnerability:

Stack-based buffer overflow in Python 2.4.2 and earlier, running on Linux 2.6.12.5 under gcc 4.0.3 with libc 2.3.5, allows local users to cause a 
"
stack overflow,
"
 and possibly gain privileges, by running a script from a current working directory that has a long name, related to the realpath function.  NOTE: this might not be a vulnerability. However, the fact that it appears in a programming language interpreter could mean that some applications are affected, although attack scenarios might be limited because the attacker might already need to cross privilege boundaries to cause an exploitable program to be placed in a directory with a long name; or, depending on the method that Python uses to determine the current working directory, setuid applications might be affected.

References:

http://milw0rm.com/exploits/1591
http://www.gotfault.net/research/exploit/gexp-python.py

Comment 1 Mark J. Cox 2008-01-29 09:43:12 UTC
See for details and patch
https://bugzilla.redhat.com/show_bug.cgi?id=187900

Comment 4 Vincent Danen 2010-12-22 03:41:06 UTC
This was addressed via:

Red Hat Network Satellite Server 5.0 (RHEL v.4 AS) (RHSA-2008:0264)
Red Hat Network Satellite Server v 4.2 (RHEL v.3 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server v 4.2 (RHEL v.4 AS) (RHSA-2008:0525)
Red Hat Network Satellite Server 5.1 (RHEL v.4 AS) (RHSA-2008:0629)


Note You need to log in before you can comment on or make changes to this bug.